#ifndef MIANTO__MSTRING_H
#define MINATO__MSTRING_H

typedef struct
{
    char* mStr;
    int mLen;
} string_obj;

string_obj* string_new(char* str);
void string_delete(string_obj* str);

int string_length(string_obj* obj);
int string_size(string_obj* obj);
char* string_c_str(string_obj* obj);

void string_push_back(string_obj* self, char key);
void string_put(string_obj* self, char* str);

void string_insert(string_obj* obj, int pos, char* str);
void string_erase(string_obj* obj, int pos, int len);

#endif
